Joomla

How to upgrade Joomla 1.7 to Joomla! 2.5

With Joomla! 2.5 the latest (and greatest?) version of the poppular CMS has been released somewhere last month. Since this is a LTS version – Joomla! 2.5 will be supported for 18 months which means one and a half year of patches – this is the version people will want to use for the time being.

But maybe you’re an early adopter, or just chose to use the 1.6 or 1.7 series. There were good reasons to do so. One was that there was a promise of “simple one-click upgrades” to Joomla! 2.5 which, of course, sounds tempting. Joomla now features an update option, just for that reason.

Your best bet is still AdminTools

Unfortunately, the built-in upgrade option in Joomla! 1.7 has lead to problems. People who were hosting their sites on “cheaper” hosting, like Godaddy and the likes ran into problems when using this option. When their (not that great) server decides it doesn’t want to play nice anymore, the update process can stop abruptly. The results of this can be unpleasant – it can even “destroy” your site (you did make a back-up before upgrading, right?)

Fortunately, there is an alternative option. One which doesn’t assume that your hosting is super awesome, and which knows how to work around the limits of your (shared) hosting setup. The solution’s name? AdminTools bij Akeeba. If you have the latest version of AdminTools installed, you can safely upgrade your site to Joomla! 2.5 with only a few clicks.

How it’s done

  1. First of all, make a back-up of your site. Performing an upgrade is never without risks.
  2. Make sure you’ve got the latest version of AdminTools installed.
  3. Open AdminTools. It will prompt you that a new update of Joomla! is available. Click the button, and follow the instructions.
  4. Your site will now be upgraded to the latest version.  AdminTools is designed to work around most of the problems cheap hosting could cause, so you should experience no problems with the upgrade.

Note: If you’re rather safe than sorry, perform the step above on  a copy of your website, so you can see what happens. You can use AkeebaBackup and Kickstart to clone your site and create a “test” environment for your upgrade.

When you’re done, you can enjoy the new features of Joomla! 2.5, but even more important: you’re on the right (LTS) tracik for at least 18 months. Enjoy!

Advertisements

Categories: Joomla

Tagged as: ,

18 replies »

  1. Dear Steven and others, unfortunately I’m having the very same issue … If you’ve found a solution in the meantime, it would very much appreciate hearing about it …

    Like

  2. Hello people, I’m currently facing a problem. I did an upgrade from 1.7 to 2.5.

    Problem is that none of my menu icon or article is accessible.

    HELP.

    Have a look at the website http://www.insightnewspaper.mu/

    I did try fix the problem in Extension manager. But nothing happen…

    Other informations are

    Database schema version (in #__schemas): 2.5.4-2012-03-19.
    Update version (in #__extensions): 2.5.4.
    Database driver: mysqli.
    63 database changes were checked successfully.
    23 database changes did not alter table structure and were skipped.

    How can I fix the problem! I’m regretting I did an update! GOSH!

    Like

  3. Great instructions. Thanks. I got the 2.5.4 version to show up in Admin Tools. Now I just have to figure out why my upgrade from 1.7.5 to 2.5.4 gives me a 500 server error on the admin side no matter how I do the upgrade.

    Like

  4. I had the same problem with J1.7.5 and this is what fixed it for me after purging the cache:

    “Extensions > Extension Manager > Update > Find Updates”

    * Select the new core (2.5.3 found at this time) and do “Update”.

    Go back to “Components > Admin Tools > Updates – Joomla! Core” and the latest version is detected correctly (admin tools 2.2.2).

    Backup your site and either do an install/re-install/or full installation of latest detected joomla core. If in doubt purge cache and sessions, logout and login again and admin tools will be showing the correct versions.

    Like

  5. I have the same problem….cant seem to upgrade to 2.5 no matter what I do. Tried the above suggestions all to no avail. No mention of 2.5 in Akeeba Admin or Extensions > Update. Anyone have any other suggestions?

    Like

    • I figured it out!! Here’s what I did…

      The exact same thing happened – Admin Tools didn’t “see” version 2.5 as an update option… So I did some searching and found the following ticket on Admin Tools web site:

      “Sorry to say that, but 2.2.0 doesn’t find joomla 2.5 as the latest version.
      It tells me I already have the latest version (1.7.5).
      I tried extension manager purge cache, and admin tools clean temp dir, and even site => maintenance => clear cache and purge expired cache, but Admin Tools doesn’t see 2.5 as an avaliable update.”

      Response was:

      “Try using 2.2.a3, which shouldn’t even see the 1.7.5 release.”

      Response:

      “It worked fine.

      To anyone who will use Admin Tools to update j1.7 to j2.5, remember to do the following:
      extensions => extension manager => database => fix.”

      So I decided to try this for myself… And sure enough it worked! So I will now try this method on my other sites… Here are the steps I took:

      1. Downloaded 2.2.a3 Alpha from Akeeba:

      https://www.akeebabackup.com/download/official/admintools/admintools-2-2-a3.html

      2. Installed via Extension Manager.

      3. Clicked on “Update” and “Purge Cache”.

      4. Cleared my Browser’s Cache.

      5. Go to Admin Tools component. (It will still say 1.7.5 in the version and will not show 2.5.2 as an option just yet!)

      6. Click on the first tab that says “Joomla! Core Up to date”.

      7. Click on “Reload this information from the server”.

      8. NOW you will see 2.5.2! Click on Reinstall 2.5.2.

      9. Backup, then Update Joomla. (It takes a few minutes to finish.)

      10. Click on BACK.

      11. Go back into Extension Manager and click on DATABASE tab.

      12. There will probably be a warning and some errors. Click on FIX at the top right.

      That should do it!

      Like

  6. I have the same problem. Currently on Joomla 1.7.5 and Admin Tools 2.2.0 but it says that 1.7.5 is the latest version.

    Anyone found a way to get it to work?

    Like

  7. Joomla Extensions update module shows core version 2.5.1 available. I am however unable to update the server via this facility.
    Installed the Admin tools and performed update from 1.7.3 to 1.7.5 without any issues. Admin tool is version 2.2.0 stable. I am however unable to get the admin tools to find the core version 2.5.1
    Any hints how to get this to work?

    Like

  8. I’m having the same issue.

    Admin Tools 2.2.0 is telling me that 1.7.5 is the latest version of Joomla.

    I’ve tried the “reload from server” and nothing changes. Updating using “Extensions -> Update” results in the website thinking for a bit, but nothing happening. A “purge” and “refresh” shows 2.5.1, but it doesn’t load.

    Suggestions?

    Like

  9. The weird thing is that Admin Tools says that I have Joomla 1.7.5 and that this is the most up to date version… I have AT Core 2.2.0… AT says nothing about Joomla 2.5

    Like

      • Latest version of Admin Tools Core is 2.2.0. I have the same problema like dgemaster. I get message the my Joomla 1.7.5 is up to date…

        Like

      • With that version installed, try the following:

        1. Go to extensions
        2. Click “Update”.
        3. Then, click “purge cache”. After that click “Find updates”.

        Or, you can try to upgrade using AdminTools. In the screen where it shows the latest version, and which version you are using click “reload information from server.”

        Let me know if that helps. 🙂

        Like